(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     19792,        690]*)
(*NotebookOutlinePosition[     20457,        713]*)
(*  CellTagsIndexPosition[     20413,        709]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(SetDirectory["\<d:\\demolattices\\webtest\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\demolattices\\webtest"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<LaxPairLattices.m\>"]\)], "Input"],

Cell[BoxData[
    \("Loading code for computation of Lax pairs (version of July 5, \
2009)"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("***************** MENU INTERFACE *****************  \
(page: "\[InvisibleSpace]1\[InvisibleSpace]")"\),
      SequenceForm[ 
      "***************** MENU INTERFACE *****************  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("ENTER YOUR CHOICE IN DIALOG BOX (may be hidden behind this \
window)"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("  1) discrete potential KdV Equation (l_pKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  2) discrete modified KdV Equation  (l_mKdV.m)"\)], "Print"],

Cell[BoxData[
    \("  3) discrete sine-Gordon Equation (l_sG.m)"\)], "Print"],

Cell[BoxData[
    \("  4) H1 equation (ABS classification) (l_H1.m)"\)], "Print"],

Cell[BoxData[
    \("  5) H2 equation (ABS classification) (l_H2.m)"\)], "Print"],

Cell[BoxData[
    \("  6) H3 equation (delta not 0) (ABS classification) (l_H3rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  7) H3 equation (delta = 0) (ABS classification) (l_H3zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  8) Q1 equation (delta not 0) (ABS classification) (l_Q1rhs.m)"\)], \
"Print"],

Cell[BoxData[
    \("  9) Q1 equation (delta = 0) (ABS classification) (l_Q1zero.m)"\)], \
"Print"],

Cell[BoxData[
    \("  10) Q2 equation (ABS classification) (l_Q2.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" tt) Your System"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("---------------------------------------------------------------------"\
\)], "Print"],

Cell[BoxData[
    \("Make sure that you have prepared the data file for the system"\)], \
"Print"],

Cell[BoxData[
    \("you want to test (similar to the data files we supplied)."\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("         WELCOME TO THE MATHEMATICA PROGRAM              "\)], "Print"],

Cell[BoxData[
    \("                  by WILLY HEREMAN                       "\)], "Print"],

Cell[BoxData[
    \("     FOR THE COMPUTATION OF LAX PAIRS OF NONLINEAR       "\)], "Print"],

Cell[BoxData[
    \("  PARTIAL DIFFERENCE EQUATIONS IN 2D (ON QUAD-GRAPHS)    "\)], "Print"],

Cell[BoxData[
    \(" Collaborators: Reinout Quispel and Peter van der Kamp   "\)], "Print"],

Cell[BoxData[
    \("           First released on July 22, 2008               "\)], "Print"],

Cell[BoxData[
    \("           Last updated: July 5, 2009                    "\)], "Print"],

Cell[BoxData[
    \("                    Copyright 2008                       "\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    InterpretationBox[\("Working with the discrete "\[InvisibleSpace]KdV\
\[InvisibleSpace]" equation:"\),
      SequenceForm[ "Working with the discrete ", KdV, " equation:"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(-p\^2\) + 
        q\^2 + \((p + q + x - x12)\)\ \((p - q - x1 + x2)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("********************** CONTROL SETTINGS *************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("LaxPairGiven (L and M are given in data file) is set \
to "\[InvisibleSpace]True\),
      SequenceForm[ 
      "LaxPairGiven (L and M are given in data file) is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("t and s are given in data file (byhand) is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ 
      "t and s are given in data file (byhand) is set to: ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Determinant method to compute t and s is set to: "\
\[InvisibleSpace]True\),
      SequenceForm[ 
      "Determinant method to compute t and s is set to: ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Test consistency on cube is set to \
"\[InvisibleSpace]True\),
      SequenceForm[ "Test consistency on cube is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of powerexpand is set to "\[InvisibleSpace]False\
\),
      SequenceForm[ "Use of powerexpand is set to ", False],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Use of rootrules is set to "\[InvisibleSpace]True\),
      SequenceForm[ "Use of rootrules is set to ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computation of matrix N is set to: \
"\[InvisibleSpace]True\),
      SequenceForm[ "Computation of matrix N is set to: ", True],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Application of gauge transformation is set to: "\
\[InvisibleSpace]False\),
      SequenceForm[ "Application of gauge transformation is set to: ", False],
      
      Editable->False]], "Print"],

Cell[BoxData[
    \("******************* START OF THE COMPUTATION ************************"\
\)], "Print"],

Cell[BoxData[
    \("Working with lattice defined on front (F), latticefront:"\)], "Print"],

Cell[BoxData[
    \(\(-p\^2\) + 
        q\^2 + \((p + q + x - x12)\)\ \((p - q - x1 + x2)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Lattice on ground (G), latticeground:"\)], "Print"],

Cell[BoxData[
    \(k\^2 - 
        p\^2 + \((k + p + x - x13)\)\ \((\(-k\) + p - x1 + x3)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("Lattice on left face (L), latticeleftface:"\)], "Print"],

Cell[BoxData[
    \(k\^2 - 
        q\^2 + \((k + q + x - x23)\)\ \((\(-k\) + q - x2 + x3)\) \[Equal] 
      0\)], "Print"],

Cell[BoxData[
    \("**************** TESTING CONSISTENCY AROUND THE CUBE ****************"\
\)], "Print"],

Cell[BoxData[
    \("Computation  x12 ="\)], "Print"],

Cell[BoxData[
    \(\(-\(\(\(-p\)\ x + q\ x + p\ x1 + q\ x1 + x\ x1 - p\ x2 - q\ x2 - 
            x\ x2\)\/\(p - q - x1 + x2\)\)\)\)], "Print"],

Cell[BoxData[
    \("Computation  x13 = "\)], "Print"],

Cell[BoxData[
    \(\(k\ x - p\ x + k\ x1 + p\ x1 + x\ x1 - k\ x3 - p\ x3 - x\ x3\)\/\(k - \
p + x1 - x3\)\)], "Print"],

Cell[BoxData[
    \("Computation  x23 = "\)], "Print"],

Cell[BoxData[
    \(\(k\ x - q\ x + k\ x2 + q\ x2 + x\ x2 - k\ x3 - q\ x3 - x\ x3\)\/\(k - \
q + x2 - x3\)\)], "Print"],

Cell[BoxData[
    \("*****************************************************************"\)], \
"Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x23 (x123choice1), x123 \
="\)], "Print"],

Cell[BoxData[
    \(\((k\^2\ p\ x1 + k\ p\^2\ x1 + k\^2\ q\ x1 - p\^2\ q\ x1 - 
          k\ q\^2\ x1 - p\ q\^2\ x1 - k\^2\ p\ x2 + k\ p\^2\ x2 - 
          k\^2\ q\ x2 + p\^2\ q\ x2 - k\ q\^2\ x2 + p\ q\^2\ x2 + 
          p\^2\ x1\ x2 - q\^2\ x1\ x2 - k\^2\ p\ x3 - k\ p\^2\ x3 + 
          k\^2\ q\ x3 - p\^2\ q\ x3 + k\ q\^2\ x3 + p\ q\^2\ x3 + 
          k\^2\ x1\ x3 - p\^2\ x1\ x3 - k\^2\ x2\ x3 + 
          q\^2\ x2\ x3)\)/\((\(-k\^2\)\ p + k\ p\^2 + k\^2\ q - p\^2\ q - 
          k\ q\^2 + p\ q\^2 + k\^2\ x1 - q\^2\ x1 - k\^2\ x2 + p\^2\ x2 - 
          p\^2\ x3 + q\^2\ x3)\)\)], "Print"],

Cell[BoxData[
    \("After factoring, computation of x123 using x13, (x123choice2), x123 ="\
\)], "Print"],

Cell[BoxData[
    \(\(-\(\((k\^2\ p\ x1 + k\ p\^2\ x1 + k\^2\ q\ x1 - p\^2\ q\ x1 - 
            k\ q\^2\ x1 - p\ q\^2\ x1 - k\^2\ p\ x2 + k\ p\^2\ x2 - 
            k\^2\ q\ x2 + p\^2\ q\ x2 - k\ q\^2\ x2 + p\ q\^2\ x2 + 
            p\^2\ x1\ x2 - q\^2\ x1\ x2 - k\^2\ p\ x3 - k\ p\^2\ x3 + 
            k\^2\ q\ x3 - p\^2\ q\ x3 + k\ q\^2\ x3 + p\ q\^2\ x3 + 
            k\^2\ x1\ x3 - p\^2\ x1\ x3 - k\^2\ x2\ x3 + 
            q\^2\ x2\ x3)\)/\((k\^2\ p - k\ p\^2 - k\^2\ q + p\^2\ q + 
            k\ q\^2 - p\ q\^2 - k\^2\ x1 + q\^2\ x1 + k\^2\ x2 - p\^2\ x2 + 
            p\^2\ x3 - q\^2\ x3)\)\)\)\)], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("As soon as one consistency condition is violated the computation"\)], \
"Print"],

Cell[BoxData[
    \("will abort, unless candidates for L and M are given in the data file."\
\)], "Print"],

Cell[BoxData[
    \("Test if (x123choice1 - x123choice2) = 0, diffx123choice1choice2 ="\)], \
"Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("*** TEST RESULT = "\[InvisibleSpace]0\
\[InvisibleSpace]" (SHOULD BE ZERO) ***"\),
      SequenceForm[ "*** TEST RESULT = ", 0, " (SHOULD BE ZERO) ***"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The equation is CONSISTENT around the cube!"\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("************* VERIFICATION OF THE GIVEN LAX PAIR ****************"\)], \
"Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("******* The matrix L was given in the data file! ******"\)], "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix L (candidateL)"\)], "Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(p - x1\)\/\(k - p\)\)\), \(-\(1\/\(k - p\)\)\)},
            {\(-\(\(k\^2 + p\ x - p\ x1 - x\ x1\)\/\(k - p\)\)\), \(-\(\(p + 
                      x\)\/\(k - p\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry L11 of candidate L (entrycandidateL11) "\)], "Print"],

Cell[BoxData[
    \("L11 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(p - x1\)\/\(k - p\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L12 of candidate L (entrycandidateL12) "\)], "Print"],

Cell[BoxData[
    \("L12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(1\/\(k - p\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L21 of candidate L (entrycandidateL21) "\)], "Print"],

Cell[BoxData[
    \("L21 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\^2 + p\ x - p\ x1 - x\ x1\)\/\(k - p\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry L22 of candidate L (entrycandidateL22) "\)], "Print"],

Cell[BoxData[
    \("L22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(p + x\)\/\(k - p\)\)\)\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("****** The matrix M was given in the data file! ******"\)], "Print"],

Cell[BoxData[
    \("Candidate Lax pair, matrix M (candidateM)"\)], "Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(q - x2\)\/\(k - q\)\)\), \(-\(1\/\(k - q\)\)\)},
            {\(-\(\(k\^2 + q\ x - q\ x2 - x\ x2\)\/\(k - q\)\)\), \(-\(\(q + 
                      x\)\/\(k - q\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("Entry M11 of candidate M (entrycandidateM11) "\)], "Print"],

Cell[BoxData[
    \("M11 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(q - x2\)\/\(k - q\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M12 of candidate M (entrycandidateM12) "\)], "Print"],

Cell[BoxData[
    \("M12 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(1\/\(k - q\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M21 of candidate M (entrycandidateM21) "\)], "Print"],

Cell[BoxData[
    \("M21 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(k\^2 + q\ x - q\ x2 - x\ x2\)\/\(k - q\)\)\)\)], "Print"],

Cell[BoxData[
    \("Entry M22 of candidate M (entrycandidateM22) "\)], "Print"],

Cell[BoxData[
    \("M22 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(q + x\)\/\(k - q\)\)\)\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("*********** COMPUTATION OF CONSTRAINTS FOR t AND s \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated \
lattices!"\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-1) element ON LATTICE,"\)], "Print"],

Cell[BoxData[
    \("compatibilityeq11onlattice = "\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (1-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq12onlattice = "\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-1) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq21onlattice = "\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("Compatibility equation, (2-2) element ON LATTICE, "\)], "Print"],

Cell[BoxData[
    \("compatibilityeq22onlattice = "\)], "Print"],

Cell[BoxData[
    \(True\)], "Print"],

Cell[BoxData[
    \("******************************************************************"\)],\
 "Print"],

Cell[BoxData[
    \("************** FINAL TEST OF THE COMPUTED LAX PAIR \
***************"\)], "Print"],

Cell[BoxData[
    \("The subsequent computations might be slow for complicated lattices, in \
particular, if square roots are present!"\)], "Print"],

Cell[BoxData[
    \("Candidate compatibility matrix L2.M - M1.L, ON LATTICE,"\)], "Print"],

Cell[BoxData[
    \("candidatecompatibilitymatrixonlattice ="\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0"},
            {"0", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("********************************************************************"\)\
], "Print"],

Cell[BoxData[
    \("****************** START COMPUTATION OF MATRIX N \
*******************"\)], "Print"],

Cell[BoxData[
    \("********* THIS PIECE OF THE CODE IS STILL UNDER DEVELOPMENT \
********"\)], "Print"],

Cell[BoxData[
    \("LaxPairGiven is true, given candidate for L (candidateL) = "\)], \
"Print"],

Cell[BoxData[
    \("L = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(p - x1\)\/\(k - p\)\)\), \(-\(1\/\(k - p\)\)\)},
            {\(-\(\(k\^2 + p\ x - p\ x1 - x\ x1\)\/\(k - p\)\)\), \(-\(\(p + 
                      x\)\/\(k - p\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("LaxPairGiven is true, given candidate for M (candidateM) = "\)], \
"Print"],

Cell[BoxData[
    \("M = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(q - x2\)\/\(k - q\)\)\), \(-\(1\/\(k - q\)\)\)},
            {\(-\(\(k\^2 + q\ x - q\ x2 - x\ x2\)\/\(k - q\)\)\), \(-\(\(q + 
                      x\)\/\(k - q\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("prodnamematrixN = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(KdV\/\(\((k - p)\)\ \((k - q)\)\)\)\), "0"},
            {\(-\(\(KdV\ \((x1 + x2)\)\)\/\(\((k - p)\)\ \((k - 
                          q)\)\)\)\), \(KdV\/\(\((k - p)\)\ \((k - q)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("******** CHECK BY INSPECTION ******* NOT FULLY CODED YET! "\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Check if prodnamematrixN (above) has the common \
factor: "\[InvisibleSpace]KdV\),
      SequenceForm[ 
      "Check if prodnamematrixN (above) has the common factor: ", KdV],
      Editable->False]], "Print"],

Cell[BoxData[
    \("This is the matrix N (matrixN)"\)], "Print"],

Cell[BoxData[
    \("N = "\)], "Print"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(1\/\(\((k - p)\)\ \((k - q)\)\)\)\), "0"},
            {\(-\(\(x1 + 
                      x2\)\/\(\((k - p)\)\ \((k - q)\)\)\)\), \(1\/\(\((k - 
                        p)\)\ \((k - q)\)\)\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \("N11 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(1\/\(\((k - p)\)\ \((k - q)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("N12 = "\)], "Print"],

Cell[BoxData[
    \(0\)], "Print"],

Cell[BoxData[
    \("N21 = "\)], "Print"],

Cell[BoxData[
    \(\(-\(\(x1 + x2\)\/\(\((k - p)\)\ \((k - q)\)\)\)\)\)], "Print"],

Cell[BoxData[
    \("N22 = "\)], "Print"],

Cell[BoxData[
    \(1\/\(\((k - p)\)\ \((k - q)\)\)\)], "Print"],

Cell[BoxData[
    \("********************** END OF THE COMPUTATIONS! *********************"\
\)], "Print"],

Cell[BoxData[
    \("*********************************************************************"\
\)], "Print"],

Cell[BoxData[
    \($Aborted\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1112, 740},
WindowMargins->{{21, Automatic}, {Automatic, 6}},
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 78, 1, 42, "Input"],
Cell[1857, 56, 61, 1, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1955, 62, 61, 1, 42, "Input"],
Cell[2019, 65, 104, 2, 35, "Print"],
Cell[2126, 69, 275, 5, 35, "Print"],
Cell[2404, 76, 106, 2, 35, "Print"],
Cell[2513, 80, 103, 2, 35, "Print"],
Cell[2619, 84, 106, 2, 35, "Print"],
Cell[2728, 88, 82, 1, 35, "Print"],
Cell[2813, 91, 82, 1, 35, "Print"],
Cell[2898, 94, 78, 1, 35, "Print"],
Cell[2979, 97, 81, 1, 35, "Print"],
Cell[3063, 100, 81, 1, 35, "Print"],
Cell[3147, 103, 100, 2, 35, "Print"],
Cell[3250, 107, 99, 2, 35, "Print"],
Cell[3352, 111, 100, 2, 35, "Print"],
Cell[3455, 115, 99, 2, 35, "Print"],
Cell[3557, 119, 82, 1, 35, "Print"],
Cell[3642, 122, 49, 1, 35, "Print"],
Cell[3694, 125, 51, 1, 35, "Print"],
Cell[3748, 128, 56, 1, 35, "Print"],
Cell[3807, 131, 106, 2, 35, "Print"],
Cell[3916, 135, 98, 2, 35, "Print"],
Cell[4017, 139, 92, 1, 35, "Print"],
Cell[4112, 142, 105, 2, 35, "Print"],
Cell[4220, 146, 92, 1, 35, "Print"],
Cell[4315, 149, 92, 1, 35, "Print"],
Cell[4410, 152, 92, 1, 35, "Print"],
Cell[4505, 155, 92, 1, 35, "Print"],
Cell[4600, 158, 92, 1, 35, "Print"],
Cell[4695, 161, 92, 1, 35, "Print"],
Cell[4790, 164, 92, 1, 35, "Print"],
Cell[4885, 167, 92, 1, 35, "Print"],
Cell[4980, 170, 105, 2, 35, "Print"],
Cell[5088, 174, 224, 4, 35, "Print"],
Cell[5315, 180, 123, 3, 37, "Print"],
Cell[5441, 185, 102, 2, 35, "Print"],
Cell[5546, 189, 250, 5, 35, "Print"],
Cell[5799, 196, 242, 5, 35, "Print"],
Cell[6044, 203, 236, 5, 35, "Print"],
Cell[6283, 210, 201, 4, 35, "Print"],
Cell[6487, 216, 191, 4, 35, "Print"],
Cell[6681, 222, 183, 3, 35, "Print"],
Cell[6867, 227, 201, 4, 35, "Print"],
Cell[7071, 233, 234, 5, 35, "Print"],
Cell[7308, 240, 106, 2, 35, "Print"],
Cell[7417, 244, 91, 1, 35, "Print"],
Cell[7511, 247, 123, 3, 37, "Print"],
Cell[7637, 252, 72, 1, 35, "Print"],
Cell[7712, 255, 123, 3, 37, "Print"],
Cell[7838, 260, 77, 1, 35, "Print"],
Cell[7918, 263, 123, 3, 37, "Print"],
Cell[8044, 268, 106, 2, 35, "Print"],
Cell[8153, 272, 53, 1, 35, "Print"],
Cell[8209, 275, 144, 2, 54, "Print"],
Cell[8356, 279, 54, 1, 35, "Print"],
Cell[8413, 282, 119, 2, 54, "Print"],
Cell[8535, 286, 54, 1, 35, "Print"],
Cell[8592, 289, 119, 2, 54, "Print"],
Cell[8714, 293, 102, 2, 35, "Print"],
Cell[8819, 297, 105, 2, 35, "Print"],
Cell[8927, 301, 601, 9, 115, "Print"],
Cell[9531, 312, 106, 2, 35, "Print"],
Cell[9640, 316, 621, 9, 115, "Print"],
Cell[10264, 327, 105, 2, 35, "Print"],
Cell[10372, 331, 101, 2, 35, "Print"],
Cell[10476, 335, 106, 2, 35, "Print"],
Cell[10585, 339, 102, 2, 35, "Print"],
Cell[10690, 343, 34, 1, 35, "Print"],
Cell[10727, 346, 226, 4, 35, "Print"],
Cell[10956, 352, 78, 1, 35, "Print"],
Cell[11037, 355, 106, 2, 35, "Print"],
Cell[11146, 359, 102, 2, 35, "Print"],
Cell[11251, 363, 148, 2, 60, "Print"],
Cell[11402, 367, 90, 1, 35, "Print"],
Cell[11495, 370, 76, 1, 35, "Print"],
Cell[11574, 373, 39, 1, 35, "Print"],
Cell[11616, 376, 368, 8, 90, "Print"],
Cell[11987, 386, 106, 2, 35, "Print"],
Cell[12096, 390, 80, 1, 35, "Print"],
Cell[12179, 393, 41, 1, 35, "Print"],
Cell[12223, 396, 63, 1, 54, "Print"],
Cell[12289, 399, 80, 1, 35, "Print"],
Cell[12372, 402, 41, 1, 35, "Print"],
Cell[12416, 405, 54, 1, 54, "Print"],
Cell[12473, 408, 80, 1, 35, "Print"],
Cell[12556, 411, 41, 1, 35, "Print"],
Cell[12600, 414, 84, 1, 59, "Print"],
Cell[12687, 417, 80, 1, 35, "Print"],
Cell[12770, 420, 41, 1, 35, "Print"],
Cell[12814, 423, 62, 1, 51, "Print"],
Cell[12879, 426, 106, 2, 35, "Print"],
Cell[12988, 430, 89, 1, 35, "Print"],
Cell[13080, 433, 76, 1, 35, "Print"],
Cell[13159, 436, 39, 1, 35, "Print"],
Cell[13201, 439, 368, 8, 90, "Print"],
Cell[13572, 449, 106, 2, 35, "Print"],
Cell[13681, 453, 80, 1, 35, "Print"],
Cell[13764, 456, 41, 1, 35, "Print"],
Cell[13808, 459, 63, 1, 54, "Print"],
Cell[13874, 462, 80, 1, 35, "Print"],
Cell[13957, 465, 41, 1, 35, "Print"],
Cell[14001, 468, 54, 1, 54, "Print"],
Cell[14058, 471, 80, 1, 35, "Print"],
Cell[14141, 474, 41, 1, 35, "Print"],
Cell[14185, 477, 84, 1, 59, "Print"],
Cell[14272, 480, 80, 1, 35, "Print"],
Cell[14355, 483, 41, 1, 35, "Print"],
Cell[14399, 486, 62, 1, 51, "Print"],
Cell[14464, 489, 103, 2, 35, "Print"],
Cell[14570, 493, 103, 2, 35, "Print"],
Cell[14676, 497, 104, 2, 35, "Print"],
Cell[14783, 501, 84, 1, 35, "Print"],
Cell[14870, 504, 64, 1, 35, "Print"],
Cell[14937, 507, 37, 1, 35, "Print"],
Cell[14977, 510, 85, 1, 35, "Print"],
Cell[15065, 513, 64, 1, 35, "Print"],
Cell[15132, 516, 37, 1, 35, "Print"],
Cell[15172, 519, 85, 1, 35, "Print"],
Cell[15260, 522, 64, 1, 35, "Print"],
Cell[15327, 525, 37, 1, 35, "Print"],
Cell[15367, 528, 85, 1, 35, "Print"],
Cell[15455, 531, 64, 1, 35, "Print"],
Cell[15522, 534, 37, 1, 35, "Print"],
Cell[15562, 537, 103, 2, 35, "Print"],
Cell[15668, 541, 103, 2, 35, "Print"],
Cell[15774, 545, 148, 2, 60, "Print"],
Cell[15925, 549, 90, 1, 35, "Print"],
Cell[16018, 552, 74, 1, 35, "Print"],
Cell[16095, 555, 226, 7, 52, "Print"],
Cell[16324, 564, 105, 2, 35, "Print"],
Cell[16432, 568, 105, 2, 35, "Print"],
Cell[16540, 572, 105, 2, 35, "Print"],
Cell[16648, 576, 96, 2, 35, "Print"],
Cell[16747, 580, 39, 1, 35, "Print"],
Cell[16789, 583, 368, 8, 90, "Print"],
Cell[17160, 593, 96, 2, 35, "Print"],
Cell[17259, 597, 39, 1, 35, "Print"],
Cell[17301, 600, 368, 8, 90, "Print"],
Cell[17672, 610, 53, 1, 35, "Print"],
Cell[17728, 613, 384, 8, 84, "Print"],
Cell[18115, 623, 93, 1, 35, "Print"],
Cell[18211, 626, 248, 5, 35, "Print"],
Cell[18462, 633, 65, 1, 35, "Print"],
Cell[18530, 636, 39, 1, 35, "Print"],
Cell[18572, 639, 390, 9, 84, "Print"],
Cell[18965, 650, 106, 2, 35, "Print"],
Cell[19074, 654, 41, 1, 35, "Print"],
Cell[19118, 657, 73, 1, 54, "Print"],
Cell[19194, 660, 41, 1, 35, "Print"],
Cell[19238, 663, 34, 1, 35, "Print"],
Cell[19275, 666, 41, 1, 35, "Print"],
Cell[19319, 669, 83, 1, 54, "Print"],
Cell[19405, 672, 41, 1, 35, "Print"],
Cell[19449, 675, 64, 1, 54, "Print"],
Cell[19516, 678, 106, 2, 35, "Print"],
Cell[19625, 682, 106, 2, 35, "Print"],
Cell[19734, 686, 42, 1, 41, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

